Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## archive.data
Class Prenotazione

    java.lang.Object
      archive.data.Prenotazione

All Implemented Interfaces:
  Prenotation, java.lang.Comparable

    public class Prenotazione

extends java.lang.Object
implements java.lang.Comparable, Prenotation

Una classe che rappresenta un prenotazione ,estende `AbstractPrenotation`, e implementa `Comparable`

Nested Class Summary
`static class` | `Prenotazione.Tipo` Enumerativo per indicare il tipo della stanza D doppia S suite

Constructor Summary
`Prenotazione(int ns, java.lang.String c, java.lang.String n)` Costruisce una prenotazione

Method Summary
`boolean` | `addCorso(java.lang.String nome, Corso c)` Aggiunge un corso all'insieme `Set<Corso>`
`void` | `addCorso(java.lang.String nome, java.lang.String s)` Aggiunge un corso all'insieme `Set<Corso>`
`void` | `addTipo(java.lang.String s)` Aggiunge un tipo di stanza
`int` | `compareTo(java.lang.Object o)` Implementa il metodo dell'interfaccia `Comparable`
`boolean` | `equals(java.lang.Object o)`
`java.lang.String` | `getCognome()` Ritorna il cognome del cliente
`java.util.Set<Corso>` | `getCorsi()` Ritorna il set di corsi
`java.lang.String` | `getNome()` Ritorna il nome del cliente
`int` | `getNumeroSett()` Ritorna il numero di settimana
`char` | `getTipo()` Ritorna il tipo di stanza
`int` | `hashCode()`
`boolean` | `isCorso(java.lang.String nome, Corso c)` Controllo se nella stessa settimana in quell villaggio ci sta quel corso
`boolean` | `isPresentClient(Cliente c)` Implementa il metodo dell'interfaccia `Prenotation`
`void` | `resetCorsi()` Resetta i corsi creando un nuovo `SetArray`
`void` | `setCognome(java.lang.String s)` Setta il cognome del cliente
`void` | `setCorsi(java.util.Set<Corso> sc)` Setta i corsi
`void` | `setNome(java.lang.String s)` Setta il nome cliente
`void` | `setNumeroSett(int ns)` Setta il numero di settimana
`void` | `setTipo(char t)` Setta il tipo di stanza
`void` | `setTipo(Prenotazione.Tipo t)` Setta il tipo di stanza
`java.lang.String` | `stampaCorsi()` Crea una stringa contenente i corsi
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Prenotazione

    public Prenotazione(int ns,
                        java.lang.String c,
                        java.lang.String n)

  Costruisce una prenotazione

  Parameters:
    `ns` - numero settimana
    `c` - cognome cliente
    `n` - nome cliente

Method Detail

### getNumeroSett

    public int getNumeroSett()

  Ritorna il numero di settimana

  Returns:
    numero di settimana

### getCognome

    public java.lang.String getCognome()

  Ritorna il cognome del cliente

  Returns:
    cognome cliente

### getNome

    public java.lang.String getNome()

  Ritorna il nome del cliente

  Returns:
    nome del cliente

### getTipo

    public char getTipo()

  Ritorna il tipo di stanza

  Returns:
    tipo di stanza `char`

### getCorsi

    public java.util.Set<Corso> getCorsi()

  Ritorna il set di corsi

  Returns:
    i corsi delle prenotazioni

### setCorsi

    public void setCorsi(java.util.Set<Corso> sc)

  Setta i corsi

  Parameters:
    `sc` - `Set<Corso>`

### setNumeroSett

    public void setNumeroSett(int ns)

  Setta il numero di settimana

  Parameters:
    `ns` - numero settimana
  Throws:
    `java.lang.IllegalArgumentException` - 1<`ns`>52

### setCognome

    public void setCognome(java.lang.String s)

  Setta il cognome del cliente

  Parameters:
    `s` - cognome del cliente

### setNome

    public void setNome(java.lang.String s)

  Setta il nome cliente

  Parameters:
    `s` - nome del cliente

### setTipo

    public void setTipo(Prenotazione.Tipo t)

  Setta il tipo di stanza

  Parameters:
    `t` - `Tipo` di stanza

### setTipo

    public void setTipo(char t)

  Setta il tipo di stanza

  Parameters:
    `t` - `char` tipo di stanza

### addTipo

    public void addTipo(java.lang.String s)

  Aggiunge un tipo di stanza

  Parameters:
    `s` - tipo di stanza

### isCorso

    public boolean isCorso(java.lang.String nome,
                           Corso c)

  Controllo se nella stessa settimana in quell villaggio ci sta quel corso

  Parameters:
    `nome` - nome del villaggio
    `c` - corso da controllare
  Returns:
    true se ci sta quel corso

### addCorso

    public boolean addCorso(java.lang.String nome,
                            Corso c)

  Aggiunge un corso all'insieme `Set<Corso>`

  Parameters:
    `nome` - nome villaggio
    `c` - corso da aggiungere
  Returns:
    true se lo ha aggiunto

### addCorso

    public void addCorso(java.lang.String nome,
                         java.lang.String s)

  Aggiunge un corso all'insieme `Set<Corso>`

  Parameters:
    `nome` - nome villaggio
    `s` - sequenza di corsi

### resetCorsi

    public void resetCorsi()

  Resetta i corsi creando un nuovo `SetArray`

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### stampaCorsi

    public java.lang.String stampaCorsi()

  Crea una stringa contenente i corsi

  Returns:
    sequenza di corsi

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### isPresentClient

    public boolean isPresentClient(Cliente c)

  Implementa il metodo dell'interfaccia `Prenotation`

  Specified by:
    `isPresentClient` in interface `Prenotation`
  Parameters:
    `c` - cliente
  Returns:
    true se il cliente e' presente nel archivio clienti

### compareTo

    public int compareTo(java.lang.Object o)

  Implementa il metodo dell'interfaccia `Comparable`

  Specified by:
    `compareTo` in interface `java.lang.Comparable`
  Parameters:
    `o` - una prenotazione
  Returns:
    0 se numero della settimana e' unguale, 1 se maggiore, -1 se minore

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD